package com.ssj.bean.weixin.sales.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


/** 
 * @author  ZhangCaibao 
 * @version 2017年5月2日 下午3:16:25 
 * 类说明 
 */
@Entity
@Table(name = "tb_lib_order_refunds")
public class LibOrderRefunds extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = -4824026466388244854L;
	/**
	 * 发起人
	 */
	private String initiateUserId;
	/**
	 * 发起人Openid
	 */
	private String initiateOpenId;
	/**
	 * 审核人OpenId
	 */
	private String auditorOpenId;
	/**
	 * 1有效，2作废
	 */
	private Integer statVoid;
	/**
	 * 接受角色
	 */
	private String acceptRole;
	/**
	 * 1 同意 2拒绝，0未操作
	 */
	private Integer stat;
	/**
	 * 拒绝原因
	 */
	private String reason;
    /**
     * 发起时间
     */
	private Date initiateTime;
	/**
	 * 审核时间
	 */
	private Date reviewTime;
	/**
	 * 图书馆
	 */
	private String libId;
	/**
	 * 当前步骤
	 */
	private Integer step;
	/**
	 * 总共步骤
	 */
	private Integer totalStep;
	/**
	 * 产品类型
	 */
	private String  type;
	/**
	 * 退费价格
	 */
	private BigDecimal price;
	/**
	 * 退费原因
	 */
	private String refundsReason;
	/**
	 * 退费类型
	 */
	private String refundsStat;
	/**
	 * 订单ID
	 */
	private String orderDetailsId;
	
	private String refundsInfo; //退款信息（总课时，消费课时，消费金额）
	
	private String cardName;  //持卡人姓名
	private String cardNum;//卡号
	private String cardBank;//开户行
	private String bankPhone;//预留手机号码
	private String subbranch;//支行
	
	public String getInitiateUserId() {
		return initiateUserId;
	}
	public void setInitiateUserId(String initiateUserId) {
		this.initiateUserId = initiateUserId;
	}
	public String getAcceptRole() {
		return acceptRole;
	}
	public void setAcceptRole(String acceptRole) {
		this.acceptRole = acceptRole;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	@Column(updatable =false)
	public Date getInitiateTime() {
		return initiateTime;
	}
	public void setInitiateTime(Date initiateTime) {
		this.initiateTime = initiateTime;
	}
	@Column(insertable =false)
	public Date getReviewTime() {
		return reviewTime;
	}
	public void setReviewTime(Date reviewTime) {
		this.reviewTime = reviewTime;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public Integer getStep() {
		return step;
	}
	public void setStep(Integer step) {
		this.step = step;
	}
	public Integer getTotalStep() {
		return totalStep;
	}
	public void setTotalStep(Integer totalStep) {
		this.totalStep = totalStep;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public BigDecimal getPrice() {
		return price;
	}
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	public String getRefundsReason() {
		return refundsReason;
	}
	public void setRefundsReason(String refundsReason) {
		this.refundsReason = refundsReason;
	}
	public String getOrderDetailsId() {
		return orderDetailsId;
	}
	public void setOrderDetailsId(String orderDetailsId) {
		this.orderDetailsId = orderDetailsId;
	}
	public String getRefundsStat() {
		return refundsStat;
	}
	public void setRefundsStat(String refundsStat) {
		this.refundsStat = refundsStat;
	}
	public String getInitiateOpenId() {
		return initiateOpenId;
	}
	public void setInitiateOpenId(String initiateOpenId) {
		this.initiateOpenId = initiateOpenId;
	}
	public String getAuditorOpenId() {
		return auditorOpenId;
	}
	public void setAuditorOpenId(String auditorOpenId) {
		this.auditorOpenId = auditorOpenId;
	}
	public Integer getStatVoid() {
		return statVoid;
	}
	public void setStatVoid(Integer statVoid) {
		this.statVoid = statVoid;
	}
	public String getRefundsInfo() {
		return refundsInfo;
	}
	public void setRefundsInfo(String refundsInfo) {
		this.refundsInfo = refundsInfo;
	}
	public String getCardName() {
		return cardName;
	}
	public void setCardName(String cardName) {
		this.cardName = cardName;
	}
	public String getCardNum() {
		return cardNum;
	}
	public void setCardNum(String cardNum) {
		this.cardNum = cardNum;
	}
	public String getCardBank() {
		return cardBank;
	}
	public void setCardBank(String cardBank) {
		this.cardBank = cardBank;
	}
	public String getBankPhone() {
		return bankPhone;
	}
	public void setBankPhone(String bankPhone) {
		this.bankPhone = bankPhone;
	}
	public String getSubbranch() {
		return subbranch;
	}
	public void setSubbranch(String subbranch) {
		this.subbranch = subbranch;
	}
	
	
	
}
